<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class PurchaseReturnDetails extends BaseModel
{
    use HasFactory;

    protected $guarded = [];

    public function attribute()
    {
        return $this->hasOne(productAttribute::class, 'id', 'attribute_id')->with('product');
    }

    public function product()
    {
        return $this->hasOne(Product::class, 'id', 'product_id');
    }
}
